curl --request GET \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/members/{member_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identityType": "user",
"identityId": "<string>",
"name": "<string>",
"email": "<string>",
"picture": "<string>",
"roleBindings": [
{
"role": {
"id": "<string>",
"name": "<string>",
"permissions": [
{
"id": "organisation.read",
"description": "<string>"
}
],
"scopes": [
"organisation"
]
},
"resource": {
"resourceType": "organisation",
"resourceId": "<string>",
"name": "<string>"
}
}
]
}GetMember returns a member for the given Organisation.
curl --request GET \
--url https://platform.versori.com/api/organisations/v1/organisations/{organisation_id}/members/{member_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identityType": "user",
"identityId": "<string>",
"name": "<string>",
"email": "<string>",
"picture": "<string>",
"roleBindings": [
{
"role": {
"id": "<string>",
"name": "<string>",
"permissions": [
{
"id": "organisation.read",
"description": "<string>"
}
],
"scopes": [
"organisation"
]
},
"resource": {
"resourceType": "organisation",
"resourceId": "<string>",
"name": "<string>"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK
Member is an identity who is a member of an Organisation.
ID is the unique identifier for the Member, if a user is a member of multiple Organisations they will have multiple Member objects.
user, service_account IdentityID references the Versori User.
Name is either the User's name or ServiceAccount's name. If name is not populated this will default to the email address.
Email is the email address of the Member. For service accounts this is the service account name with the suffix @sa.ORG_SLUG.versori.com.
RoleBindings are the list of roles bindings granted to this Member.
Show child attributes